<?php
/**
 * @file topography.inc a place to store hook implementations to make topography "live-themer enabled".
 */

/**
 * Implementation of our "psuedo hook" hook_lt_themable().
 */
function typography_lt_themable() {
 return array(
   'title' => t('Typography'),
   'description' => t('Change typography.'),
   'type' => 'typography',
   'hook' => 'page',
   '#weight' => 15,
   '#css_weight' => 2,
   );
}


/**
 * Implementation of _settings_form().
 */
function typography_settings_form() {
  $form = array();
  $form['h1'] = font_reused( 'H1', 'h1', 'h1');
  unset($form['h1']['h1_font_family']);
  $form['h2'] = font_reused( 'H2', 'h2', 'h2');
  unset($form['h2']['h2_font_family']);
  $form['h3'] = font_reused( 'H3', 'h3', 'h3');
  unset($form['h3']['h3_font_family']);
  $form['h4'] = font_reused( 'H4', 'h4', 'h4');
  unset($form['h4']['h4_font_family']);
  $form['h5'] = font_reused( 'H5', 'h5', 'h5');
  unset($form['h5']['h5_font_family']);
  $form['h6'] = font_reused( 'H6', 'h6', 'h6');
  unset($form['h6']['h6_font_family']);
  $form['body'] = font_reused( 'Body', '.content', 'body');
  unset($form['body']['body_font_family']);
  return $form;
}
